"use strict";

require("source-map-support/register");

var _yargs = _interopRequireDefault(require("yargs"));

var AragonReporter = _interopRequireWildcard(require("./reporters/AragonReporter"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
const debugMiddleware = argv => {
  argv.reporter.debug(`create-aragon-app version: ${require('../package.json').version}`);
  argv.reporter.debug(`argv: ${JSON.stringify(process.argv)}`);
}; // Set up commands


const cli = _yargs.default.scriptName('create-aragon-app').parserConfiguration({
  'parse-numbers': false
}).commandDir('./commands') // .strict()
.alias('h', 'help').alias('v', 'version').group(['help', 'version'], 'Global options:').demandCommand(1, 'You need to specify a command').epilogue('For more information, check out https://hack.aragon.org').fail(AragonReporter.errorHandler);

AragonReporter.configure(cli);
cli.middleware([debugMiddleware]); // trigger yargs

cli.argv; // eslint-disable-line no-unused-expressions
//# sourceMappingURL=cli.js.map