"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.checkProjectExists = checkProjectExists;

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

async function checkProjectExists(dirPath, basename) {
  const projectPath = _path.default.resolve(dirPath, basename);

  const exists = await _fsExtra.default.pathExists(projectPath);

  if (exists) {
    throw new Error(`Couldn't initialize project. Project with name ${basename} already exists in ${dirPath}. Use different <name> or rename existing project folder.`);
  }
}
//# sourceMappingURL=check-project-exists.js.map